Subject: Re: [bitcoin-dev] RFC - BIP: URI scheme for Blockchain exploration

From: Btc Drak <[email-masked]>
Date: Tue, 1 Sep 2015 23:59:36 +0100

On Tue, Sep 1, 2015 at 5:12 PM, Danny Thorpe via bitcoin-dev
<[email-masked]> wrote:
> Rather than using an inhumanly long hex string from the genesis hash to
> distinguish between mainnet and testnet, why not use the network magic bytes
> instead? Much shorter, just as distinct.

There's nothing stopping two coins having the same magic bytes, but
communicating on separate ports.

> I'd still prefer a common network name mapping for the sake of humanity. Few
> bitcoin library implementations use the same string names for mainnet and
> testnet. This BIP could simply define one string name alias for each
> supported network and leave mapping to local lingo to the implementors.

The only sane way to me see to have cointype like BIP44.
See https://github.com/bitcoin/bips/blob/master/bip-0044.mediawiki#coin-type